from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Boolean, String

Pyrpipe_Diagnostic_Report_V0_1_0 = CommandToolBuilder(tool="pyrpipe_diagnostic_report", base_command=["pyrpipe_diagnostic", "report"], inputs=[ToolInput(tag="in_file_default_same", input_type=File(optional=True), prefix="-o", doc=InputDocumentation(doc="out file default: same as input logfile")), ToolInput(tag="in_summary", input_type=Boolean(optional=True), prefix="--summary", doc=InputDocumentation(doc="Print quick summary and exit")), ToolInput(tag="in_report_output_type", input_type=String(optional=True), prefix="-e", doc=InputDocumentation(doc="report output type: [md,pdf,html] default: pdf")), ToolInput(tag="in_report_options_default", input_type=String(optional=True), prefix="-c", doc=InputDocumentation(doc="Report options [(f)ull,fa(i)l,(p)ass] default: f")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="-v", doc=InputDocumentation(doc="verbose")), ToolInput(tag="in_log_file", input_type=String(), position=0, doc=InputDocumentation(doc="The log file generated by pyrpipe"))], outputs=[], container="quay.io/biocontainers/pyrpipe:0.0.5--py_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Pyrpipe_Diagnostic_Report_V0_1_0().translate("wdl")

